/* Typography ======================= */

@import "variables";

:root {

  @include mq("laptop-small", "max") {
    font-size: 14px;
  }

  @include mq("tablet", "max") {
    font-size: 12px;
  }
}

body {
  color: $color-text;
  font-weight: $text-weight-regular;
  font-size: $text-size-s;
  line-height: $line-height-main;
  font-family: $font-family-main;
}

h1,
.h1 {
  margin: 0 0 30px;
  color: $color-title;
  font-weight: $text-weight-regular;
  font-size: $title-size-h1;
  line-height: $line-height-title;

  @include mq("laptop", "max") {
    font-size: 40px;
  }
}

h2,
.h2 {
  margin: 0 0 30px;
  color: $color-title;
  font-weight: $text-weight-regular;
  font-size: $title-size-h2;
  line-height: $line-height-title;

  @include mq("laptop-small", "max") {
    font-size: 30px;
  }

  @include mq("tablet", "max") {
    margin-bottom: 20px;
  }
}

h3,
.h3 {
  margin: 0;
  color: $color-title;
  font-weight: $text-weight-regular;
  font-size: $title-size-h3;
  line-height: $line-height-title;
}

h4,
.h4 {
  margin: 0;
  color: $color-title;
  font-weight: $text-weight-regular;
  font-size: $title-size-h4;
  line-height: $line-height-title;
}
//
//a[class] {
//  color: currentColor;
//}

p {
  margin-top: 0;
  line-height: $line-height-main;
}

blockquote {
  padding-right: 10px;
  padding-left: 20px;
  margin-right: 0;
  margin-left: 0;
  border-left: 6px solid $color-secondary;
  font-weight: $text-weight-bold;
  font-size: $text-size-m;
  line-height: 1.4;

  @include mq("desktop", "max") {
    font-size: $text-size-s;
  }
}

a {
  color: $color-secondary;
  line-height: $line-height-main;
  text-decoration: none;

  &:hover {
    color: $color-secondary;
  }
}
/* ================ end typography  */
